//Generated by wsdl2apex

public class SyncScenario {
  /*  public class ArrayOf_xsd_string {
        public String[] item;
        private String[] item_type_info = new String[]{'item','http://talend.org',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://talend.org','true','false'};
        private String[] field_order_type_info = new String[]{'item'};
    }
    public class runJobReturn_element {
        public SyncScenario.ArrayOf_xsd_string[] item;
        private String[] item_type_info = new String[]{'item','http://talend.org',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://talend.org','true','false'};
        private String[] field_order_type_info = new String[]{'item'};
    }
    public class args_element {
        public String[] item;
        private String[] item_type_info = new String[]{'item','http://talend.org',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://talend.org','true','false'};
        private String[] field_order_type_info = new String[]{'item'};
    }
    public class CPG_Scenario {
        string cpgScenarioJob=  CPGUtility.getBRMSConfigValues('BRScenarioJob');
        //public String endpoint_x = 'http://34.211.51.216:5000/'+cpgScenarioJob+'_0.1/services/'+cpgScenarioJob+'?method=runJob';
        public String endpoint_x = cpgScenarioJob;
        public Map<String,String> inputHttpHeaders_x;
        public Map<String,String> outputHttpHeaders_x;
        public String clientCertName_x;
        public String clientCert_x;
        public String clientCertPasswd_x;
        public Integer timeout_x;
        private String[] ns_map_type_info = new String[]{'http://talend.org', 'SyncScenario'};
        public SyncScenario.ArrayOf_xsd_string[] runJob(String[] item) {
            SyncScenario.args_element request_x = new SyncScenario.args_element();
            request_x.item = item;
            SyncScenario.runJobReturn_element response_x;
            Map<String, SyncScenario.runJobReturn_element> response_map_x = new Map<String, SyncScenario.runJobReturn_element>();
            response_map_x.put('response_x', response_x);
            if(!Test.isRunningTest()){
	            WebServiceCallout.invoke(
	              this,
	              request_x,
	              response_map_x,
	              new String[]{endpoint_x,
	              '',
	              'http://talend.org',
	              'args',
	              'http://talend.org',
	              'runJobReturn',
	              'SyncScenario.runJobReturn_element'}
	            );
	            response_x = response_map_x.get('response_x');
	            return response_x.item;
            }
            else{
            	return null;
            }
        }
    }*/
}